Bug 553348 - [LTC 6.0 FEAT] VEPA support [202042] -- libvirt changes
[LTC 6.0 FEAT] VEPA support [202042] -- libvirt changes
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: libvirt (Show other bugs)
All All
low Severity high
: rc
: 6.0
Assigned To: Daniel Veillard
Virtualization Bugs
: FutureFeature, TechPreview
Depends On: 553337
Blocks: 356741 532549 554559
  Show dependency treegraph
Reported: 2010-01-07 12:02 EST by IBM Bug Proxy
Modified: 2010-10-18 15:45 EDT (History)
12 users (show)

See Also:
Fixed In Version: libvirt-0.8.0-2.el6
Doc Type: Technology Preview
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-07-02 15:28:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

External Trackers
Tracker ID Priority Status Summary Last Updated
IBM Linux Technology Center 58948 None None None Never

  None (edit)
Description IBM Bug Proxy 2010-01-07 12:02:10 EST
=Comment: #0=================================================
Arnd Bergmann <arnd.bergmann@de.ibm.com> - 
+++ This bug was initially created as a clone of Bug #57504 +++

1. Feature Overview:
Feature Id:	[202042]
a. Name of Feature:	VEPA support
b. Feature Description
The VEPA/PEPA support defers all switching and access control to the external fabric switches
thereby simplifying the management and control at layer 2.

2. Feature Details:
Sponsor:	LTC

Arch Specificity: Both
Affects Kernel Modules: Yes
Delivery Mechanism: Direct from community
Category:	Xen
Request Type:	Kernel - Enhancement from Upstream
d. Upstream Acceptance:	In Progress
Sponsor Priority	1
f. Severity: High
IBM Confidential:	no
Code Contribution:	IBM code
g. Component Version Target:	2.6.33

3. Business Case
In datacenter/cloud environments with a large number of VMs and  a large network fabric the
configuration and management of the network needs to be simplified and automated.

4. Primary contact at Red Hat: 
John Jarvis

5. Primary contacts at Partner:
Project Management Contact:
Albert Kopp, AKOPP@de.ibm.com

Technical contact(s):

Vivek Kashyap, vivk@us.ibm.com

IBM Manager:
Christoph Arenz, arenz@de.ibm.com
Comment 8 Daniel Berrange 2010-02-11 11:47:25 EST
Posted upstream

Comment 14 IBM Bug Proxy 2010-03-01 18:50:37 EST
------- Comment From stefanb@us.ibm.com 2010-03-01 18:49 EDT-------
All relevant patches have been applied to libvirt as of 3/1/2010.
Comment 15 Daniel Veillard 2010-03-05 13:21:44 EST
libvirt-0.7.7-1.el6 has been built in RHEL-6-candidate with the fixes,

Comment 16 Daniel Veillard 2010-03-05 15:53:12 EST
Hum, apparently the macvtap support isn't yet available in the RHEL-6
environment or libvirt configure failed to find it:

configure: Drivers
configure:      Xen: no
configure:    Proxy: no
configure:     QEMU: yes
configure:      UML: no
configure:   OpenVZ: no
configure:     VBox: no
configure:      LXC: yes
configure:     PHYP: no
configure:      ONE: no
configure:      ESX: no
configure:     Test: yes
configure:   Remote: yes
configure:  Network: yes
configure: Libvirtd: yes
configure:    netcf: yes
configure:  macvtap: no

 either support isn't yet in kernel or libvirt failed to find it

Comment 17 Chris Wright 2010-03-05 16:07:01 EST
macvtap tracked here:

Comment 18 IBM Bug Proxy 2010-03-09 07:40:38 EST
------- Comment From stefanb@us.ibm.com 2010-03-09 07:33 EDT-------
(In reply to comment #8)
> macvtap tracked here:
> https://bugzilla.redhat.com/show_bug.cgi?id=553337

After upgrading to 2.6.34-rc1 I found that the macvtap build detection did not work. (Had been building it with the existing code for quite a while)

So here's the fix that needs to be applied:

Index: libvirt-acl/configure.ac
--- libvirt-acl.orig/configure.ac
+++ libvirt-acl/configure.ac
@@ -1849,7 +1849,8 @@ AC_ARG_WITH([macvtap],

if test "$with_macvtap" != "no" ; then
-    AC_TRY_COMPILE([ #include <linux/if_link.h> ],
+    AC_TRY_COMPILE([ #include <sys/socket.h>
+                     #include <linux/rtnetlink.h> ],
[ with_macvtap=yes ],
[ if test "$with_macvtap" = "yes" ; then
Comment 19 Daniel Veillard 2010-03-23 06:13:48 EDT
libvirt-0.7.0-0.pre20100322 is built with that macvtap detection check fix,

Comment 21 Daniel Veillard 2010-04-13 14:31:36 EDT
I'm rebuilding a new version, and with the new -22 kernel in the buildroot
the feature is being detected now:

configure:  macvtap: yes

so I think this is now available for testing in libvirt-0.8.0-2.el6,

Comment 23 IBM Bug Proxy 2010-05-11 07:31:27 EDT
------- Comment From gerhard.stenzel@de.ibm.com 2010-05-11 07:22 EDT-------
I verified RHEL 6.0 snap 1 contains libivrt 0.8.0-3, which includes this feature.
Comment 24 dyuan 2010-06-13 03:59:27 EDT
According to comment 23, change this bug to VERIFIED status
Comment 25 releng-rhel@redhat.com 2010-07-02 15:28:18 EDT
Red Hat Enterprise Linux Beta 2 is now available and should resolve
the problem described in this bug report. This report is therefore being closed
with a resolution of CURRENTRELEASE. You may reopen this bug report if the
solution does not work for you.

Note You need to log in before you can comment on or make changes to this bug.